
Redmine - Patch #8494

Turkish translation file update

2011-06-01 20:39 - Burak Yiğit Kaya

Status: Closed Start date: 2011-06-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version:    

Description

I have translated an earlier version of Redmine but merged it with the latest locale file. It should be okay though I wasn't able to test it

with the latest version.

Associated revisions

Revision 5992 - 2011-06-02 00:49 - Toshi MARUYAMA

Turkish translation updated by Burak Yiğit Kaya (#8494).

Revision 5993 - 2011-06-02 00:49 - Toshi MARUYAMA

change Turkish general_csv_encoding from ISO-8859-1 to ISO-8859-9 by Burak Yiğit Kaya (#8494).

Revision 5997 - 2011-06-02 08:43 - Toshi MARUYAMA

fix missing interpolation argument in Turkish translations (#8494).

History

#1 - 2011-06-02 00:57 - Toshi MARUYAMA

- Status changed from New to Closed

Committed in trunk r5992, r5993 and r5994 r5995 1.2-stable, thanks.

#2 - 2011-06-02 08:33 - Toshi MARUYAMA

- Status changed from Closed to Reopened

Tests on CI server fail.

$ rake locales:check_interpolation

./config/locales/tr.yml: mail_body_wiki_content_added uses %{page} not found in en.yml

./config/locales/tr.yml: mail_subject_wiki_content_updated uses %{page} not found in en.yml

./config/locales/tr.yml: mail_body_wiki_content_updated uses %{page} not found in en.yml

./config/locales/tr.yml: mail_subject_wiki_content_added uses %{page} not found in en.yml

#3 - 2011-06-02 11:26 - Toshi MARUYAMA

- Status changed from Reopened to Closed

All tests on CI server pass.

#4 - 2011-06-02 20:55 - Jean-Philippe Lang

Toshi, you can use rake locales after updating a translation file. It will:

check that all keys in en.yml are present in other locales (and add them if necessary)

check that interpolation arguments are the same as in en.yml

#5 - 2011-06-03 01:07 - Toshi MARUYAMA

Thanks for your information.

Files

tr.yml 42.4 KB 2011-06-01 Burak Yiğit Kaya
